#
# $FreeBSD: ports/mail/cyrus/files/imapd.conf,v 1.4 2000/12/21 08:25:50 will Exp $
#
# Sample configurations file for Cyrus IMAPd
# Most lines in this file are commented; in this case the default is used. 
# The commented lines (usually) contain the default value

# The pathname of the IMAP configuration directory
#
configdirectory: /usr/local/etc/imap

# The partition name used by default for new mailboxes
#
#defaultpartition: default

# The directory for the different partitions
#
partition-default: /var/spool/imap

# The umask value used by various Cyrus IMAP programs
#
#umask: 077

# Whether to allow anonymous logins
#
#allowanonymouslogin: no

# The percent  of  quota  utilization  over  which  the server generates
# warnings.
#
#quotawarn: 90

# The length of the IMAP server's inactivity autologout timer, in minutes.
# The  minimum  value  is  30,  the default.
#
#timeout: 30

# Set the length of the POP server's inactivity autologout timer, in
# minutes.  The minimum value is 10, the default.
#
#poptimeout: 10

# Set the minimum amount of time the server forces users to wait between 
# successive POP logins, in  minutes.  The default is 0.
#
#popminpoll: 0

# The list of userids with administrative rights.  Separate each userid
# with a space.  We recommend that administrator userids be separate from 
# standard userids.  Sites using Kerberos authentication may use separate
# "admin" instances.
#
#admins: <none>

# The list of the host names of the mail domain's IMSP servers.  Separate each
# host name with a space.  The Kerberos identities of these servers may login
# as any user in order to perform commands by proxy.
#
#imspservers: <none>

# The Access Control List (ACL) placed on a newly-created (non-user)
# mailbox that does not have a parent mailbox.
#
#defaultacl: anyone lrs

# The pathname of the news spool directory.  Only used if the partition-news
# configuration option is set.
#
#newsspool: <no default>

# Prefix to be prepended to newsgroup names to make the corresponding IMAP
# mailbox names.
#
#newsprefix: <none>

# If nonzero, normal users may create their own IMAP accounts by creating
# the mailbox INBOX.  The user's quota is set to the value if it is positive,
# otherwise the user has unlimited quota.
#
#autocreatequota: 0

# Include notations in the protocol telemetry logs indicating the number
# of seconds since the last command or response.
#
#logtimestamps: no

# Number of seconds to pause after a successful plaintext login.  For systems
# that support strong authentication, this permits users to perceive a cost
# of using plaintext passwords.
#
#plaintextloginpause: 0

# The pathname of srvtab file containing the server's private  key.  This 
# option is only used when the server is compiled with Kerberos
# authentication.
#
#srvtab: /etc/srvtab

# The list of remote realms whose users may log in using  cross-realm
# authentications.   Seperate each realm name by a space.  This option is
# only used when the server is compiled with Kerberos authentication.
#
#loginrealms: <none>

# If enabled, any authentication identity which has a rights on a user's
# INBOX may log in as that user.  This option is only used when the server
# is compiled with Kerberos authentication.
#
#loginuseacl: no

# If enabled, deliver wil look for Sieve scripts in user's home directories:
# ~user/.sieve.
#
sieveusehomedir: false

# If sieveusehomedir is false, this directory is searched for Sieve scripts.
# The active Sieve script is s called "default", placed in the users sieve
# sieve directory (ie. /usr/local/etc/imap/sieve/u/user).
#
sievedir: /usr/local/etc/imap/sieve

# If enabled, the partitions will also be hashed, in addition to the hashing
# done on configuration directories.  This is recommended if one partition has
# a very bushy mailbox tree.
#
#hashimapspool: false

# The mechanism used by the server to verify plaintext passwords.  Possible
# values include "PAM", "kerberos_v4", "passwd", and "shadow"
#
sasl_pwcheck_method: pwcheck

# If  enabled,  the  SASL library will automatically create authentication
# secrets when given a plaintext password.  See the SASL documentation.
#
#sasl_auto_transition: no

#
# EOF
